/*
 * GDSII-Converter Python Plugin
 * Copyright (C) 2019  Mario Hüttel <mario.huettel@gmx.net>
 *
 * This file is part of GDSII-Converter.
 *
 * GDSII-Converter is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * GDSII-Converter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GDSII-Converter. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @file gds-render-module.h
 * @brief Header file for the gds-render python module implementation
 * @author Mario Hüttel <mario.huettel@gmx.net>
 */

#ifndef __GDS_RENDER_MODULE_H__
#define __GDS_RENDER_MODULE_H__

/**
 * @addtogroup python-renderer
 * @{
 */

#include <Python.h>

/**
 * @brief The gds_render python module name as string
 */
#define GDS_RENDER_MOD_NAME "gds_render"

/**
 * @brief Set up the gds_render python module
 * @return New module reference
 */
PyObject *init_gds_render_module();

/** @} */

#endif /* __GDS_RENDER_MODULE_H__ */
