/*
 * GDSII-Converter Python Plugin
 * Copyright (C) 2020  Mario Hüttel <mario.huettel@gmx.net>
 *
 * This file is part of GDSII-Converter.
 *
 * GDSII-Converter is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * GDSII-Converter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GDSII-Converter. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @file python-renderer/glist.c
 * @author Mario Hüttel <mario.huettel@gmx.net>
 */

/**
 * @defgroup python-plugin-glist GList wrapper for python
 * @ingroup python-plugin
 * This is a wrapping class for GLists
 * @addtogroup python-plugin-glist
 * @{
 */

#ifndef __GLIST_H__
#define __GLIST_H__

#ifndef PY_SSIZE_T_CLEAN
#define PY_SSIZE_T_CLEAN
#endif
#include <Python.h>
#include <glib.h>

extern PyTypeObject GListType;

typedef struct _GListObject GListObject;

void glist_set_head_ptr(GListObject *self, GList *head);

#endif /* __GLIST_H__ */

/** @} */
